/*#include<iostream>
using namespace std;
static int n;
bool smaller (int x) {
    if (n<x) return true;
    return false;
}*/
#include "guess.h"
int find_number(int MAX)
{
    int st,dr,mij,x;
    st=1;
    dr=MAX;
    while (st<dr)
    {
        mij=(st+dr)/2+1;
        x=smaller(mij);
        if (x) dr=mij-1;
        else st=mij;
    }
    return st;
}/*
int main () {
    int MAX,res;
    cin >> MAX >> n ;
    res=find_number(MAX);
    cout << res ;
    cout << endl ;
    return 0;
}*/

